=== debian/control ===
Source: icinga2
Section: admin
Priority: extra
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Markus Frosch <markus@lazyfrosch.de>,
           Jan Wagner <waja@cyconet.org>,
           Alexander Wirt <formorer@debian.org>
Build-Depends: bison,
               cmake (>= 2.8.7),
               debhelper (>= 9),
               flex,
               g++ (>= 1.96),
               libboost-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libmysqlclient-dev,
               libpq-dev,
               libssl-dev,
               make (>= 3.81),
               po-debconf
Standards-Version: 3.9.5
Homepage: http://www.icinga.org
Vcs-Browser: http://anonscm.debian.org/anonscm/git/pkg-nagios/pkg-icinga2.git
Vcs-Git: git://anonscm.debian.org/pkg-nagios/pkg-icinga2.git

Package: icinga2
Architecture: any
Depends: icinga2-bin (= ${binary:Version}),
         icinga2-common (= ${source:Version}),
         ${misc:Depends}
Recommends: icinga2-doc, nagios-plugins-basic
Description: host and network monitoring system
 Icinga 2 is a general-purpose monitoring application and the next generation
 after Icinga 1.x - which was a Nagios fork. It should fit the needs of a small
 environment as well as big installations.
 .
 Rewritten from scratch in C++, with multi-threading and cluster support.
 .
 Features:
  * All common features of Icinga and Nagios
  * Much faster and more scalable than Icinga 1 and Nagios
  * New configuration format, more intuitive and template based
  * Monitoring several services by executing checks (see nagios-plugins*)
    for example ICMP/ping, SMTP, POP3, HTTP, NNTP, or other TCP port
  * Any small script can be used as a check plugin, when following the Nagios
    plugin API
  * Notifications about alerts with any custom script, or shipped examples
  * Native support for Livestatus and Graphite
 .
 This is the metapackage to install all Icinga 2 features.

Package: icinga2-common
Architecture: all
Depends: adduser, lsb-release, ${misc:Depends}
Description: host and network monitoring system - common files
 Icinga 2 is a general-purpose monitoring application and the next generation
 after Icinga 1.x - which was a Nagios fork. It should fit the needs of a small
 environment as well as big installations.
 .
 Rewritten from scratch in C++, with multi-threading and cluster support.
 .
 Features:
  * All common features of Icinga and Nagios
  * Much faster and more scalable than Icinga 1 and Nagios
  * New configuration format, more intuitive and template based
  * Monitoring several services by executing checks (see nagios-plugins*)
    for example ICMP/ping, SMTP, POP3, HTTP, NNTP, or other TCP port
  * Any small script can be used as a check plugin, when following the Nagios
    plugin API
  * Notifications about alerts with any custom script, or shipped examples
  * Native support for Livestatus and Graphite
 .
 This package provides configuration and some basic helper scripts.

Package: icinga2-bin
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: icinga2-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: host and network monitoring system - daemon
 Icinga 2 is a general-purpose monitoring application and the next generation
 after Icinga 1.x - which was a Nagios fork. It should fit the needs of a small
 environment as well as big installations.
 .
 Rewritten from scratch in C++, with multi-threading and cluster support.
 .
 Features:
  * All common features of Icinga and Nagios
  * Much faster and more scalable than Icinga 1 and Nagios
  * New configuration format, more intuitive and template based
  * Monitoring several services by executing checks (see nagios-plugins*)
    for example ICMP/ping, SMTP, POP3, HTTP, NNTP, or other TCP port
  * Any small script can be used as a check plugin, when following the Nagios
    plugin API
  * Notifications about alerts with any custom script, or shipped examples
  * Native support for Livestatus and Graphite
 .
 This package provides the Icinga 2 daemon.

Package: icinga2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: host and network monitoring system - documentation
 Icinga 2 is a general-purpose monitoring application and the next generation
 after Icinga 1.x - which was a Nagios fork. It should fit the needs of a small
 environment as well as big installations.
 .
 Rewritten from scratch in C++, with multi-threading and cluster support.
 .
 Features:
  * All common features of Icinga and Nagios
  * Much faster and more scalable than Icinga 1 and Nagios
  * New configuration format, more intuitive and template based
  * Monitoring several services by executing checks (see nagios-plugins*)
    for example ICMP/ping, SMTP, POP3, HTTP, NNTP, or other TCP port
  * Any small script can be used as a check plugin, when following the Nagios
    plugin API
  * Notifications about alerts with any custom script, or shipped examples
  * Native support for Livestatus and Graphite
 .
 This package provides the Icinga 2 documentation.

Package: icinga2-classicui
Architecture: all
Depends: apache2-utils,
         icinga-cgi-bin (>= 1.11.5~),
         icinga2-common (= ${source:Version}),
         ${misc:Depends}
Recommends: apache2 | httpd
Description: host and network monitoring system - classic ui integration
 Icinga 2 is a general-purpose monitoring application and the next generation
 after Icinga 1.x - which was a Nagios fork. It should fit the needs of a small
 environment as well as big installations.
 .
 Rewritten from scratch in C++, with multi-threading and cluster support.
 .
 Features:
  * All common features of Icinga and Nagios
  * Much faster and more scalable than Icinga 1 and Nagios
  * New configuration format, more intuitive and template based
  * Monitoring several services by executing checks (see nagios-plugins*)
    for example ICMP/ping, SMTP, POP3, HTTP, NNTP, or other TCP port
  * Any small script can be used as a check plugin, when following the Nagios
    plugin API
  * Notifications about alerts with any custom script, or shipped examples
  * Native support for Livestatus and Graphite
 .
 This package provides the integration into Icinga Classic UI.

Package: icinga2-ido-mysql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Conflicts: icinga2-ido-pgsql
Depends: dbconfig-common,
         icinga2-bin (= ${binary:Version}),
         icinga2-common (= ${source:Version}),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: mysql-client
Suggests: mysql-server
Description: host and network monitoring system - IDO for MySQL
 Icinga 2 is a general-purpose monitoring application and the next generation
 after Icinga 1.x - which was a Nagios fork. It should fit the needs of a small
 environment as well as big installations.
 .
 Rewritten from scratch in C++, with multi-threading and cluster support.
 .
 Features:
  * All common features of Icinga and Nagios
  * Much faster and more scalable than Icinga 1 and Nagios
  * New configuration format, more intuitive and template based
  * Monitoring several services by executing checks (see nagios-plugins*)
    for example ICMP/ping, SMTP, POP3, HTTP, NNTP, or other TCP port
  * Any small script can be used as a check plugin, when following the Nagios
    plugin API
  * Notifications about alerts with any custom script, or shipped examples
  * Native support for Livestatus and Graphite
 .
 This package provides the IDO module for the MySQL database.

Package: icinga2-ido-pgsql
Architecture: any
Conflicts: icinga2-ido-mysql
Pre-Depends: ${misc:Pre-Depends}
Depends: dbconfig-common,
         icinga2-bin (= ${binary:Version}),
         icinga2-common (= ${source:Version}),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: postgresql-client
Suggests: postgresql
Description: host and network monitoring system - IDO for PostgreSQL
 Icinga 2 is a general-purpose monitoring application and the next generation
 after Icinga 1.x - which was a Nagios fork. It should fit the needs of a small
 environment as well as big installations.
 .
 Rewritten from scratch in C++, with multi-threading and cluster support.
 .
 Features:
  * All common features of Icinga and Nagios
  * Much faster and more scalable than Icinga 1 and Nagios
  * New configuration format, more intuitive and template based
  * Monitoring several services by executing checks (see nagios-plugins*)
    for example ICMP/ping, SMTP, POP3, HTTP, NNTP, or other TCP port
  * Any small script can be used as a check plugin, when following the Nagios
    plugin API
  * Notifications about alerts with any custom script, or shipped examples
  * Native support for Livestatus and Graphite
 .
 This package provides the IDO module for the PostgreSQL database.

Package: icinga2-dbg
Architecture: any
Section: debug
Priority: extra
Depends: icinga2-bin (= ${binary:Version}), ${misc:Depends}
Description: host and network monitoring system - debug symbols
 Icinga 2 is a general-purpose monitoring application and the next generation
 after Icinga 1.x - which was a Nagios fork. It should fit the needs of a small
 environment as well as big installations.
 .
 Rewritten from scratch in C++, with multi-threading and cluster support.
 .
 Features:
  * All common features of Icinga and Nagios
  * Much faster and more scalable than Icinga 1 and Nagios
  * New configuration format, more intuitive and template based
  * Monitoring several services by executing checks (see nagios-plugins*)
    for example ICMP/ping, SMTP, POP3, HTTP, NNTP, or other TCP port
  * Any small script can be used as a check plugin, when following the Nagios
    plugin API
  * Notifications about alerts with any custom script, or shipped examples
  * Native support for Livestatus and Graphite
 .
 This package provides debug symbols for Icinga 2.
